# Uses of Enum Class
org.apache.sysds.runtime.instructions.gpu.GPUInstruction.GPUINSTRUCTION_TYPE

Packages that use GPUInstruction.GPUINSTRUCTION_TYPE
Package
Description
org.apache.sysds.runtime.instructions
org.apache.sysds.runtime.instructions.gpu

## Uses of GPUInstruction.GPUINSTRUCTION_TYPE in org.apache.sysds.runtime.instructions

Methods in org.apache.sysds.runtime.instructions that return GPUInstruction.GPUINSTRUCTION_TYPE
Modifier and Type
Method
Description
`static GPUInstruction.GPUINSTRUCTION_TYPE`
InstructionUtils.`getGPUType(String str)`
Methods in org.apache.sysds.runtime.instructions with parameters of type GPUInstruction.GPUINSTRUCTION_TYPE
Modifier and Type
Method
Description
`static GPUInstruction`
GPUInstructionParser.`parseSingleInstruction(GPUInstruction.GPUINSTRUCTION_TYPE gputype, String str)`

## Uses of GPUInstruction.GPUINSTRUCTION_TYPE in org.apache.sysds.runtime.instructions.gpu

Methods in org.apache.sysds.runtime.instructions.gpu that return GPUInstruction.GPUINSTRUCTION_TYPE
Modifier and Type
Method
Description
`GPUInstruction.GPUINSTRUCTION_TYPE`
GPUInstruction.`getGPUInstructionType()`
`static GPUInstruction.GPUINSTRUCTION_TYPE`
GPUInstruction.GPUINSTRUCTION_TYPE.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GPUInstruction.GPUINSTRUCTION_TYPE[]`
GPUInstruction.GPUINSTRUCTION_TYPE.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.